Subject: bug#39170: closed (Re: bug#39170: 27.0.60; tramp: async-shell-command asks me for password each time)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Jan 2020 10:39:02 +0000

Your bug report

#39170: 27.0.60; tramp: async-shell-command asks me for password each time

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39170: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39170
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39170: 27.0.60; tramp: async-shell-command asks me for password each time
From: Tino Calancha <[email-masked]>
To: [email-masked]
Cc: Tino Calancha <[email-masked]>
Date: Thu, 23 Jan 2020 11:37:59 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 22 Jan 2020, Michael Albinus wrote:

> Michael Albinus <[email-masked]> writes:
>
> Hi Tino,
>
>> I'm very sorry, but this is a special case. Usually, we appreciate much
>> to run the tests with "emacs -Q". However, it happens often that I have
>> to debug Tramp problems which are related to cached properties, or
>> passwords. That's why Tramp neither loads cached properties, nor uses
>> auth-sources when Emacs is called with "-Q".
>
> FTR, I have documented this in the Tramp manual. See appended patch,
> pushed to the emacs-27 branch.

Thank you Michael, and sorry for the noise.
I am closing this report.

Subject: 27.0.60; tramp: async-shell-command asks me for password each time
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jan 2020 16:10:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-Cc: Michael Albinus <[email-masked]>

emacs -Q
;; I visit /tmp
C-x d /sudo::/tmp RET
;; prompted for pasword as usual; then I got my Dired buffer
M-& ls RET
;; Now I am prompted for password; in fact, I am prompted for password
;; each time I execute `asayc-shell-command' from that tramp buffer.

Git bisect suggests that the issue arose with commit:
'Fix Bug#27315'
(164fcc6f26e4a539f6cb1e4b7196ce5f93d06a53)

In GNU Emacs 27.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2020-01-18 built on calancha-pc.dy.bbexcite.jp
Repository revision: 4217bc229b8d1614b3b5c44fd1dadb775ed1ef4a
Repository branch: emacs-27
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)